## org.biojava.bio.seq.io.agave
Class AGAVEMapLocation

    java.lang.Object
      org.biojava.bio.seq.io.agave.AGAVEMapLocation

    public class AGAVEMapLocation

extends java.lang.Object

Author:
  Hanning Ni Doubletwist Inc, Greg Cox

Constructor Summary
`AGAVEMapLocation()`

Method Summary
`void` `addPosition(AGAVEMapPosition pos)`
`java.lang.String` `getChromosome()`
`java.lang.String` `getMapType()`
`java.lang.String` `getOrientation()`
`AGAVEMapPosition` `getPosition1()`
`AGAVEMapPosition` `getPosition2()`
`java.lang.String` `getSource()`
`java.lang.String` `getSubSeqStart()`
`java.lang.String` `getUnits()`
`void` `setChromosome(java.lang.String value)`
`void` `setMapType(java.lang.String value)`
`void` `setOrientation(java.lang.String value)`
`void` `setSource(java.lang.String value)`
`void` `setSubSeqStart(java.lang.String value)`
`void` `setUnits(java.lang.String value)`
`java.lang.String` `toString()`
`java.lang.String` `toString(java.lang.String indent, java.lang.String indent_unit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AGAVEMapLocation

    public AGAVEMapLocation()

Method Detail

### addPosition

    public void addPosition(AGAVEMapPosition pos)

### getPosition1

    public AGAVEMapPosition getPosition1()

### getPosition2

    public AGAVEMapPosition getPosition2()

### setMapType

    public void setMapType(java.lang.String value)

### getMapType

    public java.lang.String getMapType()

### setUnits

    public void setUnits(java.lang.String value)

### getUnits

    public java.lang.String getUnits()

### setSource

    public void setSource(java.lang.String value)

### getSource

    public java.lang.String getSource()

### setChromosome

    public void setChromosome(java.lang.String value)

### getChromosome

    public java.lang.String getChromosome()

### setSubSeqStart

    public void setSubSeqStart(java.lang.String value)

### getSubSeqStart

    public java.lang.String getSubSeqStart()

### setOrientation

    public void setOrientation(java.lang.String value)

### getOrientation

    public java.lang.String getOrientation()

### toString

    public java.lang.String toString(java.lang.String indent,
                                     java.lang.String indent_unit)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`